ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
category_view_templates_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ($Options)
| load_template ($LoadedTemplates, &$Options, $TemplateName)
| get_default_category_structure_templates ($Options, $Templates=array())
| get_categories_catalogue_templates ($Templates=false)
| get_categories_catalogue_part_templates ($Options, $Templates=false)

## Data Fields
| $Output
| $BlockSettings = false
| $CachedMultyFS = false
| $CategoryAccess = false
| $CategoryAlgorithms = false
| $OwnershipAccess = false
| $Security = false
| $String = false

## Detailed Description

Templates.

Author
  Dodonov A.A.

Definition at line 26 of file category_view_templates.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 68 of file category_view_templates.php.

{
try
{
$this->BlockSettings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->CategoryAccess = get_package( 'category::category_access' , 'last' , __FILE__ );
$this->CategoryAlgorithms = get_package( 'category::category_algorithms' , 'last' , __FILE__ );
$this->OwnershipAccess = get_package( 'permit::ownership::ownership_access' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

get_categories_catalogue_part_templates | ( |  | $Options,
|  |  | $Templates = `false`
| ) |  |

Function returns templates.

Parameters

  $Options | - Settings.
  $Templates | - Templates.

Returns
  Templates.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 289 of file category_view_templates.php.

{
try
{
$DisplayTemplates = array();
$Item = $Options->get_setting( 'item_template' , 'item_template.tpl' );
$DisplayTemplates[ 'item' ] = $this->CachedMultyFS->get_template( __FILE__ , $Item );
$Item = $Options->get_setting( 'leaf_template' , 'leaf_template.tpl' );
$DisplayTemplates[ 'leaf' ] = $this->CachedMultyFS->get_template( __FILE__ , $Item );
if( $Templates !== false )
{
extend( $DisplayTemplates , $Templates );
}
return( $DisplayTemplates );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

get_categories_catalogue_templates | ( |  | $Templates = `false` | ) |

Function returns templates.

Parameters

  $Templates | - Templates.

Returns
  Templates.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 235 of file category_view_templates.php.

{
try
{
$DisplayTemplates = array(
'start_tag' =>
$this->CachedMultyFS->get_template( __FILE__ , 'catalogue_start_tag_template.tpl' ) ,
'end_tag' =>
$this->CachedMultyFS->get_template( __FILE__ , 'catalogue_end_tag_template.tpl' ) ,
'start_item_tag' =>
$this->CachedMultyFS->get_template( __FILE__ , 'catalogue_start_item_tag_template.tpl' ) ,
'end_item_tag' =>
$this->CachedMultyFS->get_template( __FILE__ , 'catalogue_end_item_tag_template.tpl' )
);
if( $Templates !== false )
{
extend( $DisplayTemplates , $Templates );
}
return( $DisplayTemplates );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

get_default_category_structure_templates | ( |  | $Options,
|  |  | $Templates = `array()`
| ) |  |

Function returns templates.

Parameters

  $Options | - Settings.
  $Templates | - Possible templates.

Returns
  Templates.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 187 of file category_view_templates.php.

{
try
{
$DisplayTemplates = array();
$DisplayTemplates = $this->load_template( $DisplayTemplates , $Options , 'start_tag' );
$DisplayTemplates = $this->load_template( $DisplayTemplates , $Options , 'end_tag' );
$DisplayTemplates = $this->load_template( $DisplayTemplates , $Options , 'start_item_tag' );
$DisplayTemplates = $this->load_template( $DisplayTemplates , $Options , 'start_leaf_tag' );
$DisplayTemplates = $this->load_template( $DisplayTemplates , $Options , 'end_item_tag' );
extend( $DisplayTemplates , $Templates );
return( $DisplayTemplates );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

load_template | ( |  | $LoadedTemplates,
|  | & | $Options,
|  |  | $TemplateName
| ) |  |

Method loads templates.

Parameters

  $LoadedTemplates | - Loaded templates.
  $Options | - Settings.
  $TemplateName | - Template name.

Returns
  Templates.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 145 of file category_view_templates.php.

{
try
{
$Item = $Options->get_setting( $TemplateName.'_template' , $TemplateName.'_template.tpl' );
$LoadedTemplates[ $TemplateName ] = $this->CachedMultyFS->get_template( __FILE__ , $Item );
return( $LoadedTemplates );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 104 of file category_view_templates.php.

{
try
{
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$BlockSettings = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 50 of file category_view_templates.php.

$CachedMultyFS = false

Definition at line 51 of file category_view_templates.php.

$CategoryAccess = false

Definition at line 52 of file category_view_templates.php.

$CategoryAlgorithms = false

Definition at line 53 of file category_view_templates.php.

$Output

HTML code of the component.

Author
  Dodonov A.A.

Definition at line 38 of file category_view_templates.php.

$OwnershipAccess = false

Definition at line 54 of file category_view_templates.php.

$Security = false

Definition at line 55 of file category_view_templates.php.

$String = false

Definition at line 56 of file category_view_templates.php.

The documentation for this class was generated from the following file:

- packages/category/packages/category_view/packages/category_view_templates/category_view_templates.php